Page MenuHomePhabricator

Property Lists use "Projects", not "Tags"
Closed, ResolvedPublic

Description

In the ChangeLog you wrote that you want to exchange the term "Projects" for "Tags", if the object is tagged as being related to a project, and does not have a more direct relationship.

Diffusion is such a case: https://secure.phabricator.com/diffusion/P/ shows "Projects: None" instead of "Tags: None".

Related Objects

Event Timeline

urzds created this task.Feb 11 2016, 2:29 PM
chad added a subscriber: chad.Feb 11 2016, 3:50 PM

I think "Tags" in the Property List context is incorrect, since other data about the Project (like the Workboard its on) is also provided.

chad renamed this task from Diffusion uses "Projects", not "Tags" to Property Lists use "Projects", not "Tags".EditedFeb 11 2016, 3:51 PM
chad added a subscriber: epriestley.

But maybe @epriestley did want this field changed also?

urzds added a comment.EditedFeb 11 2016, 4:02 PM

I see. It's also still "Projects" in Maniphest - I assumed the intention was to rename it everywhere where "projects" carries similarities to "tags" in a broad sense, since a common misconception about our users is for example that repositories or tasks "belong" to one project alone. I already explained that this is not the case to most of them several times and also wrote it in our internal documentation, but it still comes up, especially for people new to Phabricator. Thus I assumed that this is also a common misunderstanding in other groups and the renaming effort is targetted at this exact problem.

chad added a comment.Feb 11 2016, 4:04 PM

Understood, I just don't know if it was intentionally not converted (@epriestley made the changes). It's just one line in the code and it'll update on all the Property Lists. Do you feel Tags is better everywhere over Projects. That is, are your users less confused about the product?

I think it's probably better, but renaming it causes this in Diffusion:

I'll probably try to figure out something to do about that, then rename it if I come up with something reasonable.

epriestley triaged this task as Wishlist priority.Feb 11 2016, 4:59 PM
chad added a comment.Feb 11 2016, 4:59 PM

I think I suggested "Project Tags" at one point.

urzds added a comment.Feb 11 2016, 5:06 PM
In T10326#158479, @chad wrote:

I think I suggested "Project Tags" at one point.

That's also what it's called in Maniphest, when adding them: ActionsChange Project Tags

urzds added a comment.Feb 12 2016, 9:23 AM

To prevent confusion with Git/Hg/Svn tags: What about "Label"?

fanis added a subscriber: fanis.Feb 17 2016, 10:55 AM

To add to this, viewing a Task shows "Projects" whereas editing it shows "Tags". This caused confusion to one of my users, who couldn't find where to update the Projects while editing a task.

epriestley closed this task as Resolved.Jun 23 2016, 12:31 PM
epriestley claimed this task.

This is sort of resolved since Diffusion moved to PHUITwoColumnView and project tags are now listed in the sidebar, labeled "Tags", while VCS tags are listed in the main list, also labeled "Tags". Labeling them both "tags" isn't great, but context provides some help and this doesn't immediately appear to be particularly confusing.